Name:		mitmproxy
Epoch:		1
Version:	10.2.3
Release:	%mkrel 1
Summary:	An interactive SSL-capable man-in-the-middle HTTP proxy
License:	MIT
Group:		Security
URL:		https://mitmproxy.org/
Source0:	https://github.com/mitmproxy/mitmproxy/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		mitmproxy10-relax-requirements.patch

BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

Provides:	python-netlib = %{version}-%{release}
Obsoletes:	python-netlib < 0.16-2
Provides:	python3-netlib = %{version}-%{release}
Obsoletes:	python3-netlib < 0.16-2
Obsoletes:	%{name} < 6.0.2-3

%description
This package contains the mitmproxy and pathod projects, as well as their
shared networking library, netlib.

mitmproxy is an interactive, SSL-capable intercepting proxy with a console
interface.

mitmdump is the command-line version of mitmproxy. Think tcpdump for HTTP.

pathoc and pathod are perverse HTTP client and server applications designed
to let you craft almost any conceivable HTTP request, including ones that
creatively violate the standards.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%files -n %{name} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%doc LICENSE
%{_bindir}/mitmdump
%{_bindir}/mitmproxy
%{_bindir}/mitmweb
